petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSetDefaultSection

Set the PetscSection encoding the local data layout for the DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMSetDefaultSection(DM dm, PetscSection section)

### Input Parameters

| dm | - The DM Many br
| section | - The PetscSection Many br

Many br

Note: Any existing Section will be destroyed Many br

### See Also

DMSetDefaultSection(), DMGetDefaultGlobalSection()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/impls/plex/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1f90.F.html
src/ts/examples/tutorials/ex11.c.html